import request from '@/service/request'

/**
 * 查询数据源
 * */
export function getDataSourcePage (params) {
  return request<SCHEDULE.SOURCE.Detail[]>({
    url: '/dataSource/page',
    method: 'GET',
    params
  })
}

/**
 * 新增数据源
 * */
export function addDataSource (data: SCHEDULE.SOURCE.Detail) {
  return request({
    url: '/dataSource',
    method: 'POST',
    data
  })
}

/**
 * 修改数据源
 * */
export function updateDataSource (data: SCHEDULE.SOURCE.Detail) {
  return request({
    url: '/dataSource',
    method: 'POST',
    data
  })
}

export function getDataSourceById (id: string) {
  return request<SCHEDULE.SOURCE.Detail>({
    method: 'GET'
  })
}

/**
 * 数据源连接参数 -连接测试 【用在新建还未保存】
 * */
export function dataSourceConnect (data: SCHEDULE.SOURCE.Detail) {
  return request<Boolean>({
    url: '/dataSource/connect',
    method: 'POST',
    data
  })
}

/**
 * 数据源连接参数 -连接测试 【用在新建还未保存】
 * */
export function dataSourceConnectTest (id: string) {
  return request<Boolean>({
    url: `/dataSource/${id}/connectTest`,
    method: 'GET'
  })
}

export function delDataSource (id: string) {
  return request<Boolean>({
    url: `/dataSource/${id}`,
    method: 'DELETE'
  })
}
